org.apache.maven.scm.provider.svn.svnexe.command.export

## Class SvnExeExportCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.export.AbstractExportCommand
    - - org.apache.maven.scm.provider.svn.svnexe.command.export.SvnExeExportCommand

- All Implemented Interfaces:
    Command, SvnCommand

      public class SvnExeExportCommand
      extends AbstractExportCommand
      implements SvnCommand

  Version:
    $Id: SvnExeExportCommand.java 733500 2009-01-11 19:38:26Z dantran $
  Author:
    Emmanuel Venisse

- - ### Field Summary

    - ### Fields inherited from interface org.apache.maven.scm.command.Command

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SvnExeExportCommand()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.codehaus.plexus.util.cli.Commandline` | `createCommandLine(SvnScmProviderRepository repository, File workingDirectory, ScmVersion version, String url, String outputSirectory)`
    `protected ExportScmResult` | `executeExportCommand(ScmProviderRepository repo, ScmFileSet fileSet, ScmVersion version, String outputDirectory)`

    - ### Methods inherited from class org.apache.maven.scm.command.export.AbstractExportCommand

      `executeCommand`

    - ### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

      `execute, getLogger, setLogger`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.maven.scm.command.Command

      `execute, getLogger, setLogger`

- - ### Constructor Detail

    - #### SvnExeExportCommand

          public SvnExeExportCommand()

  - ### Method Detail

    - #### executeExportCommand

          protected ExportScmResult executeExportCommand(ScmProviderRepository repo,
                                             ScmFileSet fileSet,
                                             ScmVersion version,
                                             String outputDirectory)
                                                  throws ScmException

      Specified by:
        `executeExportCommand` in class `AbstractExportCommand`
      Throws:
        `ScmException`

    - #### createCommandLine

          public static org.codehaus.plexus.util.cli.Commandline createCommandLine(SvnScmProviderRepository repository,
                                                                   File workingDirectory,
                                                                   ScmVersion version,
                                                                   String url,
                                                                   String outputSirectory)

Copyright © 2003–2015. All rights reserved.